=== debian/changelog ===
compiz (1:0.9.4+bzr20110606-0ubuntu1~natty2) natty-proposed; urgency=low

  * debian/patches/00_bzr_fix_727143.patch:
    - Fix unity-window-decorator crashes with SIGSEGV when closing Java
      windows (LP: #727143)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 24 Jun 2011 10:52:47 +0200

compiz (1:0.9.4+bzr20110606-0ubuntu1~natty1) natty-proposed; urgency=low

  * New bug fix release:
    - Switcher window borders are not properly unmapped with
      (unity|gtk)-window-decorator (LP: #789580)
    - maximized window is displaced (LP: #772612)
    - Unity launcher gets visible while screensaver is active (LP: #771391)
    - 1 pixel icons in notification-area-applet when compiz is the windows
      manager (LP: #767095)
  * debian/patches/00_bzr_fix_apps_without_startupid.patch:
    - removed: upstream

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 01 Jun 2011 10:23:26 +0200
