## compiz 0.9.6+bzr20110929

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 include (CompizPackage)
 include (cmake/base.cmake)
 include (CheckFunctionExists)
+include (CTest)
 
 
 set (CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo;MinSizeRe" CACHE INTERNAL "" FORCE)
@@ -14,16 +15,12 @@
     set (CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build type (Debug/Release/RelWithDebInfo/MinSizeRe)" FORCE)
 endif (NOT CMAKE_BUILD_TYPE)
 
-# compiz package version number
-# An odd micro number indicates in-progress development.
-# An even micro number indicates a released version.
-set (COMPIZ_VERSION_MAJOR 0)
-set (COMPIZ_VERSION_MINOR 9)
-set (COMPIZ_VERSION_MICRO 4)
-set (COMPIZ_VERSION_MACRO 0)
-set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MACRO})
+file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
+string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)
 
-set (DECOR_INTERFACE_VERSION 20110130)
+set (VERSION ${COMPIZ_RELEASE_VERSION})
+
+set (DECOR_INTERFACE_VERSION 20110504)
 
 if (COMPIZ_PACKAGING_ENABLED)
     set (prefix ${CMAKE_INSTALL_PREFIX}                   CACHE PATH "prefix")
@@ -63,6 +60,7 @@
     libxml-2.0
     libxslt
     glib-2.0
+    gtk+-3.0
     gio-2.0
     glibmm-2.4
     "libstartup-notification-1.0 >= 0.7"
@@ -112,17 +110,23 @@
 add_subdirectory (libdecoration)
 add_subdirectory (gtk)
 add_subdirectory (kde)
-add_subdirectory (unity/unity_window_decorator)
 add_subdirectory (po)
 add_subdirectory (metadata)
 add_subdirectory (src)
 add_subdirectory (xslt)
 add_subdirectory (plugins)
+add_subdirectory (unity/unity_window_decorator)
+if (BUILD_TESTING)
+	add_subdirectory (tests)
+endif (BUILD_TESTING)
 
 compiz_ensure_linkage ()
 compiz_package_generation ("Compiz")
 compiz_add_uninstall ()
 compiz_add_git_dist ()
+compiz_add_distcheck ()
+compiz_add_release ()
+compiz_add_release_signoff ()
 
 _print_configure_results ()
