=== gtk/CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 
 configure_file (
     ${CMAKE_CURRENT_SOURCE_DIR}/config.h.gtk.in
-    ${CMAKE_CURRENT_BINARY_DIR}/config.h
+    ${CMAKE_CURRENT_BINARY_DIR}/config.h	
 )
 
 add_subdirectory (window-decorator)
