=== metadata/CMakeLists.txt ===
--- 
+++ 
@@ -50,3 +50,13 @@
 	DEPENDS ${CMAKE_BINARY_DIR}/generated/compiz-core.schemas
     )
 endif ()
+if (USE_GSETTINGS)
+    compiz_gsettings_schema (
+	${CMAKE_BINARY_DIR}/generated/core.xml
+	${CMAKE_BINARY_DIR}/generated/org.freedesktop.compiz.gschema.xml
+	${datadir}/glib-2.0/schemas
+    )
+    add_custom_target (core-settings-schema ALL
+	DEPENDS ${CMAKE_BINARY_DIR}/generated/org.freedesktop.compiz.gschema.xml
+    )
+endif ()
