=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
     ${compiz_BINARY_DIR}/generated
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${COMPIZ_INCLUDE_DIRS}
+    ${CMAKE_PREFIX_PATH}/include
+    ${CMAKE_INCLUDE_PATH}
 )
 
 add_definitions (
@@ -50,6 +52,10 @@
     modifierhandler.cpp
     propertywriter.cpp
     eventsource.cpp
+    timeouthandler.cpp
+    valueholder.cpp
+    logmessage.cpp
+    stackdebugger.cpp
     ${_bcop_sources}
 )
