=== tests/CMakeLists.txt ===
add_subdirectory (pluginclasshandler)
add_subdirectory (timer)
