=== debian/changelog ===
compiz (1:0.9.6+bzr20110929-0ubuntu6.1) oneiric-proposed; urgency=low

  * debian/patches/fix_890947_synthetic_notifications.patch:
    - Unity sends initial GDK_CONFIGURE event with position as (0,0).
      (LP: #890947)
  * debian/patches/fix_focus_on_wrong_window_896762.patch:
    - Switching viewports with ctrl-alt-(left/right/up/down) does not
      give the highest window on the target viewport focus. (LP: #896762)
  * debian/patches/java_offset_frame_extents_878934.patch:
    - Menu selection is wrong in Java apps. (LP: #878934)

 -- Omer Akram <om26er@ubuntu.com>  Tue, 17 Jan 2012 15:08:38 -0500

compiz (1:0.9.6+bzr20110929-0ubuntu6) oneiric-proposed; urgency=low

  * debian/patches/rev_2821_fix_807487.patch:
    - unity-window-decorator crashed with SIGSEGV in
      g_datalist_id_set_data_full() (LP: #807487)
  * debian/patches/rev_2847_bug_796594.patch:
    - Window behaviour - pressing the 'restore' window indicator on a
      semi-maximised window should return it to the restored state
      (LP: #796594)
  * debian/patches/rev_2878_bug_865696.patch:
    - Windows from other workspaces missing decorations in window spread 
      (LP: #865696)
  * debian/patches/rev_2884_fix_874004.patch:
    - When a window is minimized on another workspace it doesn't appear
      in the spread (LP: #874004)
  * debian/patches/rev_2890_fix_879253.patch:
    - Makes the previous patch building and not crashing.
  * Add some upstream missing bits from previous fixes:
    - debian/patches/fix-864330.patch
    - debian/patches/fix-864478.patch
  * debian/patches/fix-886978.patch:
    - compiz crashes with SIGSEGV in PrivateWindow::configure (LP: #886978)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Oct 2011 14:23:52 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu5) oneiric-proposed; urgency=low

  * debian/patches/fix-864330.patch:
    - fix windows which can have towed moving (LP: #864330)
  * debian/patches/fix-864478.patch:
    - Window shading is broken (LP: #864478)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 12 Oct 2011 10:44:49 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu4) oneiric-proposed; urgency=low

  * debian/control:
    - don't suggest nvidia-glx, it's part of the old initial packaging
      and probably a bad hint on non nvidia system (LP: #844218)
  * Cherry-pick upstream patches:
    - Windows should not automatically be focused when opened if the focus
      is on another application (LP: #748840)
    - Launcher - If a spread contains minimised windows, when the spread
      exits, the minimised windows momentarily appear on the desktop
      before disappearing (LP: #863328)
    - reproducible stacking bug in compiz (LP: #869316)
    - Click-dragging a window that's stacked above a fullscreen window will
      cause it to go underneath the fullscreen window (LP: #869919)
    - sometimes the keyboard input doesn't go to the apparently focussed
      dialog (LP: #869967)
    - Opening mumble can cause it to be stacked above the dash if you
      open the dash at the same time (LP: #865863)
    - Sometimes configure events are missed and windows move slow as a result
      (LP: #866752)
    - Workaround ubuntu desktop unity. Mouse at the left side doesn't reveal
      launcher (LP: #832150)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 Oct 2011 17:57:36 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu3) oneiric; urgency=low

  * debian/patches/04_fix_insertServerWindow_crash.patch:
    - compiz crashed with SIGSEGV in CompScreen::insertServerWindow()
      (LP: #857487)
  * debian/patches/05_fix_reconfigureXWindow_crash.patch:
    - compiz crashed with SIGABRT in raise() (LP: #857738)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Oct 2011 13:49:01 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu2) oneiric; urgency=low

  * debian/patches/02_fix_autofocus_minimize_window.patch:
    - closing a window gives focus to last minimized window (LP: #862719)
  * debian/patches/03_fix_configureframe.patch:
    - compiz crashed with SIGSEGV in PrivateWindow::configureFrame()
      (LP: #861909)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Oct 2011 08:29:38 +0200

compiz (1:0.9.6+bzr20110929-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot:
    - Workspace switcher makes windows lose decorations (LP: #853951)
    - compiz crashed with SIGSEGV in PrivateWindow::addWindowStackChanges()
      (LP: #861793)
    - sometimes, restored window placed too high (LP: #716521)
    - can't maximize windows on second monitor and Qt windows displayed in
      wrong place (LP: #861341)
  * 091_no_use_gnome_but_desktop_file.patch:
    - partially committed upstream, no more needed

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Sep 2011 09:21:42 +0200

compiz (1:0.9.6-0ubuntu1) oneiric; urgency=low

  * New upstream release 0.9.6:
   - Windows which are marked transients of docks should be treated like docks (LP: #860397)
   - Applications which create multiple windows that are transients of each other can be given invalid stack positions (LP: #858625)
   - race condition in configureXWindow causes unpredicatable window geometry changes (LP: #860304)
   - invisible window when a window is mapped but not yet drawn on by the process mapping it (LP: #860286)
   - resizing bugs with xterm (LP: #854725)
   - Cannot open a window that starts iconified (LP: #732997)
   - maximized windows fail to update their input extents when undecorated (LP: #853734)
   - Clicking on a tweet/message link sometimes does not work (LP: #790565)
   - crash on closing a window (LP: #856015)
   - Windows move to 0,0 on compiz restarts (LP: #858629)
   - windows that are decorated while resizing can cause incorrect resize results (LP: #860306)
   - remove transient window handling from unity-window-decorator (LP: #856096)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Sep 2011 14:15:21 +0200

compiz (1:0.9.5.94+bzr20110919-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot:

