=== debian/control ===
--- 
+++ 
@@ -5,14 +5,11 @@
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: cmake (>= 2.6),
- cdbs,
  debhelper (>= 7.0.50~), intltool, 
- kdebase-workspace-dev,
  libcairo2-dev,
  libdbus-glib-1-dev, libgconf2-dev, 
- libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev, libgnome-desktop-dev, 
- libgnomeui-dev, libboost1.42-dev, libboost-serialization1.42-dev,
- libgnome-window-settings-dev, libgtk2.0-dev, libice-dev (>= 1:1.0.1), 
+ libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev, libboost-serialization1.46-dev,
+ libgtk2.0-dev, libgtk-3-dev, libice-dev (>= 1:1.0.1), 
  libmetacity-dev (>= 1:2.30.3-0ubuntu3), libpango1.0-dev, libpng12-dev | libpng-dev, librsvg2-dev, 
  libsm-dev (>= 1:1.0.1), libtool, libwnck-dev, libx11-dev, libxcomposite-dev (>= 1:0.3-2), libxext-dev,
  libxdamage-dev (>=1:1.0.3), libxfixes-dev (>= 1:4.0.1), libxinerama-dev, 
@@ -24,16 +21,21 @@
  libglu1-mesa-dev,
  libglib2.0-dev,
  libglibmm-2.4-dev,
- kdebase-workspace-dev, kdelibs5-dev (>= 4:4.2.2),
+ kde-workspace-dev, kdelibs5-dev (>= 4:4.2.2),
  metacity-common, libx11-xcb-dev,
+ libdecoration0-dev,
  gnome-control-center-dev,
-Standards-Version: 3.8.1
+Standards-Version: 3.9.2
 Vcs-Bzr: https://code.launchpad.net/~compiz/compiz/ubuntu
 
 Package: compiz
 Architecture: all
 Provides: x-window-manager
-Depends: compiz-core (>= ${source:Version}), compiz-plugins (>= ${source:Version}), compiz-gnome | compiz-kde, compiz-plugins-main (>= 0.9), libcompizconfig0 (>= 0.9), ${misc:Depends}
+Depends: compiz-core (>= ${source:Version}),
+         compiz-plugins-default (>= ${source:Version}),
+         compiz-gnome | compiz-kde,
+         compiz-plugins-main-default (>= 0.9),
+         libcompizconfig0 (>= 0.9), ${misc:Depends}
 Suggests: compizconfig-settings-manager
 Description: OpenGL window and compositing manager
  Compiz brings to life a variety of visual effects that make the Linux desktop
@@ -48,13 +50,12 @@
 Package: compiz-core
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libcompizconfig0 (<< 0.9.2.1git101125-0ubuntu3),
+Breaks: libcompizconfig0 (<< 0.9.5.94-0ubuntu2),
  compiz-fusion-plugins-main (<< 0.9.2.1-0ubuntu6), 
- unity (<< 3.2.6-0ubuntu2), 
+ unity (<< 4.2.0), 
  compiz-fusion-plugins-extra (<< 0.9),
  simple-ccsm (<< 0.9)
-Recommends: compiz-plugins (= ${binary:Version})
-Suggests: nvidia-glx (>= 1.0.9625-1)
+Recommends: compiz-plugins-default (= ${binary:Version})
 Provides: compiz-core-abiversion-${coreabiversion}
 Conflicts: compiz-wrapper (<< 1:0.8.4-0ubuntu4)
 Replaces: compiz-wrapper (<< 1:0.8.4-0ubuntu4),
@@ -73,7 +74,7 @@
 
 Package: compiz-dev
 Architecture: any
-Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>=1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>=2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev, libx11-xcb-dev, libglib2.0-dev, libglibmm-2.4-dev, compiz-plugins (= ${binary:Version})
+Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libgtk-3-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>=1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>=2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev, libx11-xcb-dev, libglib2.0-dev, libglibmm-2.4-dev, compiz-plugins (= ${binary:Version}), libdecoration0-dev
 Description: OpenGL window and compositing manager - development files
  Compiz brings to life a variety of visual effects that make the Linux desktop
  easier to use, more powerful and intuitive, and more accessible for users
@@ -85,8 +86,9 @@
 Package: compiz-kde
 Architecture: any
 Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
-         compiz-plugins (= ${binary:Version}),
+         compiz-plugins-default (= ${binary:Version}),
          compizconfig-backend-kconfig
+Replaces: compiz-plugins (<< 1:0.9.4+bzr20110606-0ubuntu3)
 Description: OpenGL window and compositing manager - KDE window decorator
  Compiz brings to life a variety of visual effects that make the Linux desktop
  easier to use, more powerful and intuitive, and more accessible for users
@@ -99,7 +101,7 @@
 Architecture: any
 Suggests: gnome-themes
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         compiz-plugins (= ${binary:Version}),
+         compiz-plugins-default (= ${binary:Version}),
          compizconfig-backend-gconf (>= 0.9.2.1git101213)
 Replaces: compiz-plugins (<= 1:0.8.6-0ubuntu12),
           compiz-fusion-plugins-extra (<< 0.9.2.1-0ubuntu3),
@@ -111,21 +113,36 @@
  This package contains files needed to integrate compiz with the GNOME desktop
  environment.
 
-Package: compiz-plugins
+Package: compiz-plugins-default
 Architecture: any
 Depends: compiz-core (= ${binary:Version}),
          libdecoration0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Replaces: compiz-gnome (<< 1:0.8.4-4ubuntu1),
+Replaces: compiz-plugins (<< 1:0.9.4+bzr20110606-0ubuntu3),
+          compiz-gnome (<< 1:0.8.4-4ubuntu1),
           compiz-fusion-plugins-extra (<< 0.9.2.1-0ubuntu3)
+Description: OpenGL window and compositing manager - default plugins
+ Compiz brings to life a variety of visual effects that make the Linux desktop
+ easier to use, more powerful and intuitive, and more accessible for users
+ with special needs.
+ .
+ This package contains the default compiz plugins we activate in ubuntu coming
+ with core compiz.
+
+Package: compiz-plugins
+Architecture: any
+Depends: compiz-core (= ${binary:Version}),
+         compiz-plugins-default (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Replaces: compiz-gnome (<< 1:0.8.4-4ubuntu1)
 Description: OpenGL window and compositing manager - plugins
  Compiz brings to life a variety of visual effects that make the Linux desktop
  easier to use, more powerful and intuitive, and more accessible for users
  with special needs.
  .
- This package contains the standard plugins that come with compiz. Compiz
- without these plugins is not very useful.
+ This package contains the standard plugins that come with compiz.
 
 Package: libdecoration0
 Architecture: any
@@ -147,4 +164,3 @@
  This package contains files required for developing window decorators
  compatible with Compiz.
 
-# vim: tw=0
